%define name		pfaedit
%define pfaversion	010919
%define release		1mdk

Name:        %{name}
Version:     %{pfaversion}
Release:     %{release}
Epoch:	     20010919
Summary:     Font Editor for PostScript fonts
License:     GPL
Group:       Publishing
Source0:     http://pfaedit.sourceforge.net/pfaedit_full-%{pfaversion}.tar.bz2
Source1:     pfaedit-icons.tar.bz2
URL:         http://pfaedit.sourceforge.net/
BuildRequires: libjpeg-devel, libtiff-devel, libpng-devel, libungif-devel
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
PfaEdit allows you to edit outline and bitmap fonts.  You can create
new ones or modify old ones.  It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, and OpenType (Type2).

%prep
%setup -T -b 0 -n pfaedit

%build
CFLAGS="$RPM_OPT_FLAGS -fno-fast-math -fno-omit-frame-pointer" \
CXXFLAGS="$RPM_OPT_FLAGS -fno-fast-math -fno-omit-frame-pointer" \
%configure --disable-shared
make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir} \
        $RPM_BUILD_ROOT%{_mandir}/man1
touch $RPM_BUILD_ROOT%{_libdir}/libgdraw.so.1
touch $RPM_BUILD_ROOT%{_libdir}/libgunicode.so.1
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/pfaedit <<EOF
?package(pfaedit): command="pfaedit" needs="X11" \
icon="pfaedit.xpm" section="Applications/Publishing" title="PfaEdit" \
longtitle="A font editor"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README COPYING
%{_bindir}/pfaedit
%{_mandir}/man1/*
%{_menudir}/pfaedit
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Sat Sep 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010919-1mdk
- updated to release 010919.

* Mon Sep 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010915-1mdk
- updated to release 010915.

* Fri Sep 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010913-1mdk
- updated to release 010913.
- added icons.

* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010905-1mdk
- updated to release 010905.

* Wed Aug 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010808-2mdk
- temporary disabled -fomit-frame-pointer in CFLAGS/CXXFLAGS options
  causing broken executables).

* Fri Aug 10 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010808-1mdk
- updated to release 010808.

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010726-1mdk
- updated to release 010726.

* Sat Jul 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010717-1mdk
- updated to release 010717.

* Fri Jul 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010711-1mdk
- updated to release 010711.

* Tue Jul 02 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010630-1mdk
- updated to release 010630.

* Sun Jun 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010623-1mdk
- updated to release 010623.

* Fri Jun 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 010621-2mdk
- cleaned spec file.
- fixed changelog date.
- initial mandrake release.

* Thu May 10 2001 George Williams <gww@silcom.com>
- My first attempt at rpm, updated to 10 May sources.

* Sun Apr 29 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 220401 to 280401.

* Tue Apr 24 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 190401 to 220401.

* Fri Apr 20 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 020401 to 190401.

* Tue Apr 10 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 210301 to 020401.

* Thu Mar 22 2001 Scott Pakin <pakin@uiuc.edu>
- Initial release.
